using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class EmailSmsSentLimit {
    /// <summary>
    /// Email Limit
    /// </summary>
    /// <value>Email Limit</value>
    [DataMember(Name="Email_Limit", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "Email_Limit")]
    public string EmailLimit { get; set; }

    /// <summary>
    /// SMS Limit
    /// </summary>
    /// <value>SMS Limit</value>
    [DataMember(Name="SMS_Limit", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "SMS_Limit")]
    public string SMSLimit { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class EmailSmsSentLimit {\n");
      sb.Append("  EmailLimit: ").Append(EmailLimit).Append("\n");
      sb.Append("  SMSLimit: ").Append(SMSLimit).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
