using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class Queue {
    /// <summary>
    /// Queue Id
    /// </summary>
    /// <value>Queue Id</value>
    [DataMember(Name="queueId", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "queueId")]
    public string QueueId { get; set; }

    /// <summary>
    /// Company Id
    /// </summary>
    /// <value>Company Id</value>
    [DataMember(Name="companyId", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "companyId")]
    public string CompanyId { get; set; }

    /// <summary>
    /// Customer ID
    /// </summary>
    /// <value>Customer ID</value>
    [DataMember(Name="customerID", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "customerID")]
    public string CustomerID { get; set; }

    /// <summary>
    /// Scheduled Date
    /// </summary>
    /// <value>Scheduled Date</value>
    [DataMember(Name="ScheduleDate", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "ScheduleDate")]
    public string ScheduleDate { get; set; }

    /// <summary>
    /// Send Type
    /// </summary>
    /// <value>Send Type</value>
    [DataMember(Name="SendType", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "SendType")]
    public string SendType { get; set; }

    /// <summary>
    /// Send Number
    /// </summary>
    /// <value>Send Number</value>
    [DataMember(Name="SendNumber", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "SendNumber")]
    public string SendNumber { get; set; }

    /// <summary>
    /// Queue Language
    /// </summary>
    /// <value>Queue Language</value>
    [DataMember(Name="queueLanguage", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "queueLanguage")]
    public string QueueLanguage { get; set; }

    /// <summary>
    /// Email Subject
    /// </summary>
    /// <value>Email Subject</value>
    [DataMember(Name="EmailSubject", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "EmailSubject")]
    public string EmailSubject { get; set; }

    /// <summary>
    /// Message
    /// </summary>
    /// <value>Message</value>
    [DataMember(Name="Message", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "Message")]
    public string Message { get; set; }

    /// <summary>
    /// Creation Date
    /// </summary>
    /// <value>Creation Date</value>
    [DataMember(Name="CreationDate", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "CreationDate")]
    public string CreationDate { get; set; }

    /// <summary>
    /// Published
    /// </summary>
    /// <value>Published</value>
    [DataMember(Name="Published", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "Published")]
    public string Published { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class Queue {\n");
      sb.Append("  QueueId: ").Append(QueueId).Append("\n");
      sb.Append("  CompanyId: ").Append(CompanyId).Append("\n");
      sb.Append("  CustomerID: ").Append(CustomerID).Append("\n");
      sb.Append("  ScheduleDate: ").Append(ScheduleDate).Append("\n");
      sb.Append("  SendType: ").Append(SendType).Append("\n");
      sb.Append("  SendNumber: ").Append(SendNumber).Append("\n");
      sb.Append("  QueueLanguage: ").Append(QueueLanguage).Append("\n");
      sb.Append("  EmailSubject: ").Append(EmailSubject).Append("\n");
      sb.Append("  Message: ").Append(Message).Append("\n");
      sb.Append("  CreationDate: ").Append(CreationDate).Append("\n");
      sb.Append("  Published: ").Append(Published).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
