using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class CustomerWhoHaveNotResponded {
    /// <summary>
    /// Customer ID
    /// </summary>
    /// <value>Customer ID</value>
    [DataMember(Name="customerID", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "customerID")]
    public string CustomerID { get; set; }

    /// <summary>
    /// Compnay ID
    /// </summary>
    /// <value>Compnay ID</value>
    [DataMember(Name="companyid", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "companyid")]
    public string Companyid { get; set; }

    /// <summary>
    /// Customer Email
    /// </summary>
    /// <value>Customer Email</value>
    [DataMember(Name="email", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "email")]
    public string Email { get; set; }

    /// <summary>
    /// Email health status
    /// </summary>
    /// <value>Email health status</value>
    [DataMember(Name="emailStatus", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "emailStatus")]
    public string EmailStatus { get; set; }

    /// <summary>
    /// Customer Mobile Phone
    /// </summary>
    /// <value>Customer Mobile Phone</value>
    [DataMember(Name="mobile", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "mobile")]
    public string Mobile { get; set; }

    /// <summary>
    /// Customer Name
    /// </summary>
    /// <value>Customer Name</value>
    [DataMember(Name="customerName", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "customerName")]
    public string CustomerName { get; set; }

    /// <summary>
    /// Creation Date
    /// </summary>
    /// <value>Creation Date</value>
    [DataMember(Name="CreationDate", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "CreationDate")]
    public string CreationDate { get; set; }

    /// <summary>
    /// Last Sent Date
    /// </summary>
    /// <value>Last Sent Date</value>
    [DataMember(Name="LastSentDate", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "LastSentDate")]
    public string LastSentDate { get; set; }

    /// <summary>
    /// Send Method
    /// </summary>
    /// <value>Send Method</value>
    [DataMember(Name="SendMethod", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "SendMethod")]
    public string SendMethod { get; set; }

    /// <summary>
    /// Next review request date
    /// </summary>
    /// <value>Next review request date</value>
    [DataMember(Name="next_review_request_date", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "next_review_request_date")]
    public string NextReviewRequestDate { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class CustomerWhoHaveNotResponded {\n");
      sb.Append("  CustomerID: ").Append(CustomerID).Append("\n");
      sb.Append("  Companyid: ").Append(Companyid).Append("\n");
      sb.Append("  Email: ").Append(Email).Append("\n");
      sb.Append("  EmailStatus: ").Append(EmailStatus).Append("\n");
      sb.Append("  Mobile: ").Append(Mobile).Append("\n");
      sb.Append("  CustomerName: ").Append(CustomerName).Append("\n");
      sb.Append("  CreationDate: ").Append(CreationDate).Append("\n");
      sb.Append("  LastSentDate: ").Append(LastSentDate).Append("\n");
      sb.Append("  SendMethod: ").Append(SendMethod).Append("\n");
      sb.Append("  NextReviewRequestDate: ").Append(NextReviewRequestDate).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
