using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class OverallCompanyRating {
    /// <summary>
    /// Overall Company Rating
    /// </summary>
    /// <value>Overall Company Rating</value>
    [DataMember(Name="OverallCompanyRating", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "OverallCompanyRating")]
    public string _OverallCompanyRating { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class OverallCompanyRating {\n");
      sb.Append("  _OverallCompanyRating: ").Append(_OverallCompanyRating).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
